Available in Classic and VPC
View products associated with an API key.
Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | /api/v1/api-keys/{api-key-id}/products |
Request headers
For information about the headers common to all API Gateway APIs, see API Gateway request headers.
Request path parameters
You can use the following path parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
api-key-id |
String | Required | API key ID for which you want to get products associated with the API key |
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
offset |
Long | Optional | Starting point in the list of data to view
|
limit |
Long | Optional | Number of data to view at once
|
Request example
The following is a sample request.
curl -X GET 'https://apigateway.apigw.ntruss.com/api/v1/api-keys/{api-key-id}/products' \
--header 'Content-Type: application/json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response syntax
The response syntax is as follows.
{
"apiKeyRelateProductDtos": [
{
"productId": "productId",
"productName": "productName",
"productDescription": "productDescription",
"publisherId": "publisherId",
"status": "status",
"regTime": "2024-05-07T08:08:51Z",
"modTime": "2024-05-07T08:08:51Z",
"isSelfProduct": true
}
],
"total": 0
}
Response status codes
For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.
Response example
The following is a sample response.
{
"apiKeyRelateProductDtos": [
{
"productId": "*****xn0bk",
"productName": "*****",
"productDescription": "product Description",
"publisherId": "*****02f55ae4436913a6e2c65bab47c",
"status": "ACCEPTED",
"regTime": "2024-05-07T08:08:51Z",
"modTime": "2024-05-07T08:08:51Z",
"isSelfProduct": true
}
],
"total": 1
}